# BasicFileLocation.cpp File Reference

`#include "BasicFileLocation.h"`
`#include <iostream>`

Include dependency graph for BasicFileLocation.cpp:

## Functions

ostream & | operator<< (ostream &stream, const BasicFileLocation &fl)
| Print a file location to a stream.

## Function Documentation

ostream& operator<< | ( | std::ostream & | stream,
|  | const BasicFileLocation & | fl
| ) |

Print a file location to a stream.

The format is as follows.

filename[:line[:col]]

If no line or column has been set then they will not be displayed.

Returns:
  A reference to the passed stream.